%define upstream_name pyenet

%define date            20190117
%define release         %mkrel 0.git%{date}.%{rel}
%define tarballver      %{commit}
%define tarballdir      %{commit}
%define tarballgit      +git%{date}
%define commit acb3d78731e587e3d07f349af649d9af025fe655

Name:           python-pyenet
Version:        0
Release:        %mkrel 2
Summary:        Python wrapper for the ENet library
Group:          Development/Python
License:        BSD
URL:            https://github.com/aresch/pyenet
Source0:        https://github.com/aresch/pyenet/archive/%{tarballdir}.tar.gz#/%{upstream_name}-%{commit}.tar.gz
Source1:	http://enet.bespin.org/download/enet-1.3.13.tar.gz
BuildRequires:  pkgconfig(libenet)

%description
pyenet is a python wrapper for the ENet library by Lee Salzman, http://enet.bespin.org
It was originally written by Scott Robinson scott@tranzoa.com and is currently maintained
by Andrew Resch andrewresch@gmail.com .

%package -n     python3-%{upstream_name}
Summary:        Python3 wrapper for the ENet library
Group:          Development/Python
BuildRequires:  pkgconfig(python3)
BuildRequires:  python3-cython
Obsoletes:      python-pyenet = %{upstream_name}-%{version}
Provides:       python-pyenet = %{upstream_name}-%{version}
%{?python_provide:%python_provide python3-%{upstream_name}}

%description -n python3-%{upstream_name}
pyenet is a python wrapper for the ENet library by Lee Salzman, http://enet.bespin.org
It was originally written by Scott Robinson scott@tranzoa.com and is currently maintained
by Andrew Resch andrewresch@gmail.com .

This is the Python 3 version of the package.

%prep
%setup -q -n %{upstream_name}-%{commit}
tar xvf %{SOURCE1}
mv enet-1.3.13 enet

%build
%py3_build

%install
%py3_install

%files -n python3-%{upstream_name}
%{python3_sitearch}/enet*


%changelog
* Thu Oct 03 2019 daviddavid <daviddavid> 0-2.mga8
+ Revision: 1449003
- rebuild for python3.8
- drop python2 support

* Thu Jan 17 2019 zezinho <zezinho> 0-1.mga7
+ Revision: 1357823
- imported package python-pyenet

